<div
  class='bar-group container-group-{{this.niceClass}}'
  {{did-insert this.setup}}
>
  <div
    class='title title-{{this.niceClass}}
      hide-collapsed
      {{if this.hasError "text-danger"}}'
  >
    {{#if @title}}
      <span class='capitalize-first-letter'>
        {{@title}}
      </span>

      {{#if this.canEdit}}
        {{#if this.isSaving}}
          <FaIcon @icon='spinner' @spin={{true}} />
        {{/if}}

        <button
          type='button'
          class='btn btn-link btn-edit float-end m-0 p-0 capitalize-first-letter'
          {{on 'click' this.enableEdit}}
        >
          {{t 'edit-label'}}
        </button>
      {{/if}}
    {{/if}}
  </div>

  <div class='value value-{{this.niceClass}}'>
    {{yield this.isEditMode}}
  </div>
  <hr />
</div>